@charset "UTF-8";

html {
  height: 100%;
}

body > #wrapper {
  height: 100%;
}

.text-xs {
  font-size: 11px !important;
}

#content-wrapper {
  margin-left: 6.8rem;
}

.sidebar-toggled #content-wrapper {
  margin-left: 0;
}

.sidebar::-webkit-scrollbar {
  width: 6px;
  border-radius: 8px;
}

.sidebar::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 4px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
}

.sidebar::-webkit-scrollbar-thumb {
  background-color: #d8d8d8;
  border-radius: 4px;
}

.sidebar.toggled .nav-item .collapse {
  position: static !important;
}

.sidebar.toggled .nav-item .collapse-inner {
  min-width: initial !important;
  border-radius: 0 !important;
}

.sidebar.toggled .nav-item .collapse-inner a {
  font-size: 12px;
  white-space: normal !important;
  padding: 3px !important;
  line-height: 1.3;
}

textarea {
  resize: none !important;
}

.sp-form label {
  width: 100%;
}

.sp-form .select2-container {
  max-width: 100%;
}

.sp-upload-form .file-upload-wrapper {
  position: relative;
  width: 100%;
  height: 2.875rem;
  max-width: 500px;
}

.sp-upload-form .file-upload-wrapper:after {
  content: attr(data-text);
  font-size: 16px;
  position: absolute;
  top: 0;
  left: 0;
  background: #ffffff;
  padding: 10px 15px;
  display: block;
  width: calc(100% - 46px);
  pointer-events: none;
  z-index: 20;
  height: 2.875rem;
  border: 1px solid #979797;
  color: #6b6b6b;
  border-radius: 5px 10px 10px 5px;
  font-weight: 300;
}

.sp-upload-form .file-upload-wrapper:before {
  content: "Choose";
  position: absolute;
  top: 0;
  right: 0;
  display: inline-block;
  height: 2.875rem;
  background: #880100;
  color: #ffffff;
  font-weight: 500;
  z-index: 25;
  font-size: 16px;
  line-height: 2.875rem;
  letter-spacing: 0.5px;
  padding: 0 15px;
  pointer-events: none;
  border: 1px solid #880100;
  border-radius: 0 5px 5px 0;
}

.sp-upload-form .file-upload-wrapper:hover:before {
  background: #ffffff;
  color: #a90000;
}

.sp-upload-form .file-upload-wrapper:hover:after {
  border-color: #880100;
}

.sp-upload-form .file-upload-wrapper input {
  opacity: 0;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 99;
  height: 2.875rem;
  margin: 0;
  padding: 0;
  display: block;
  cursor: pointer;
  width: 100%;
}

.sp-upload-form .btn-container {
  max-width: 500px;
}

.sp-upload-form .btn-container .btn-custom {
  max-width: 200px;
}

.custom-table thead tr > th:nth-last-child(1),
.custom-table thead tr > td:nth-last-child(1) {
  width: 300px !important;
  min-width: 105px !important;
}

.custom-table .table-btn-group {
  margin-left: -5px;
  margin-right: -5px;
}

.custom-table .table-btn-group > div {
  padding-right: 5px;
  padding-left: 5px;
}

@media (max-width: 1199px) {
  .custom-table .table-btn-group {
    margin-left: 0 !important;
    margin-right: 0 !important;
  }

  .custom-table .table-btn-group > div {
    padding: 0 !important;
  }
}

/* UI FIXES CSS*/

form hr {
  display: none;
}

.btn-custom-color {
  border: 1px solid #880100;
  transition: all 0.3s ease;
  font-size: 1rem !important;
}

.btn-custom-color:hover {
  color: #880100 !important;
  background-color: #ffffff;
  border-color: #880100;
}

.sidebar-dark .nav-item .nav-link i {
  color: rgba(255, 255, 255, 0.8) !important;
}

.pagination .page-item .page-link {
  color: #880100;
}

.pagination .page-item.active .page-link {
  background-color: #880100;
  border-color: #880100;
  color: #fff;
}

.title_row {
  align-items: center;
  margin: 1rem 0;
}

.title_row h1.h3 {
  margin-bottom: 0 !important;
  line-height: 1;
}

.table a.btn.btn-sm.btn-custom-color {
  min-width: 74px;
}

.sidebar.navbar-nav .sidebar-brand {
  height: auto !important;
}

.sidebar.navbar-nav .sidebar-brand img {
  max-width: 100%;
  width: auto;
  max-height: 5.325rem;
  height: auto;
  -o-object-fit: contain;
  object-fit: contain;
}

.sidebar.navbar-nav .nav-item .nav-link {
  font-size: 1rem;
}

.sidebar.navbar-nav .nav-item .nav-link i,
.sidebar.navbar-nav .nav-item .nav-link span {
  font-size: 1rem;
}

.sidebar.navbar-nav .nav-item.active .collapse-item.active {
  color: #000 !important;
  background-color: #eaecf4;
}

.sidebar.navbar-nav button.rounded-circle {
  margin-top: 2rem;
}

.sidebar.navbar-nav.toggled .sidebar-brand {
  padding: 1.25rem 0.5rem;
}

.sidebar.navbar-nav.toggled .nav-item .nav-link {
  font-size: 0.875rem;
  padding: 0.75rem 0.25rem;
}

.sidebar.navbar-nav.toggled .nav-item .nav-link i,
.sidebar.navbar-nav.toggled .nav-item .nav-link span {
  font-size: 0.875rem;
}

.card_details {
  display: flex;
  flex-wrap: wrap;
}

.card_details .card {
  max-width: initial !important;
}

.announcement-modal form .row:first-of-type {
  flex-wrap: nowrap;
  margin-right: 0;
}

.announcement-modal form .row:first-of-type .form-group {
  padding-left: 15px;
}

.announcement-modal form .row:first-of-type .form-group .select2-container--default .select2-selection--single {
  height: 36px;
  padding-top: 4px;
  padding-bottom: 4px;
}

.announcement-modal form .row:first-of-type .form-group .select2-container--default .select2-selection--single .select2-selection__arrow {
  top: 4px;
}

@media (min-width: 768px) {
  .announcement-modal .modal-dialog {
    max-width: 650px;
  }
}

@media (max-width: 767px) {
  .announcement-modal form .row:first-of-type {
    flex-wrap: wrap;
    margin: 0;
  }

  .announcement-modal form .row:first-of-type .form-group {
    width: 100%;
    margin-bottom: 10px;
  }
}

.logo-wrapper {
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  min-height: 100vh;
}

.logo-wrapper .logo {
  display: inline-block;
  margin-left: -21%;
  position: relative;
  z-index: 5;
}

.logo-wrapper:before {
  position: absolute;
  content: "";
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(136, 1, 0, 0.6);
  z-index: 1;
}

.logo-wrapper:after {
  position: absolute;
  content: "";
  top: 0;
  bottom: 0;
  right: -1px;
  width: 33.33%;
  background: #ffffff;
  z-index: 2;
  -webkit-clip-path: polygon(0 0, 100% 100%, 100% 0);
  clip-path: polygon(0 0, 100% 100%, 100% 0);
}

.login-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 3rem 0;
}

.login-wrapper * {
  font-family: "Raleway", sans-serif;
}

.login-wrapper .h4 {
  text-align: center;
  color: #880100;
  font-size: 1.9375rem;
  line-height: 1.16;
  margin-bottom: 1.5rem;
  font-weight: 600;
}

.login-wrapper .alert {
  max-width: 27rem;
  margin: 0 auto 1.25rem;
  font-weight: 600 !important;
  padding: 0.5rem 0.75rem;
}

.login-wrapper .btn-custom-color {
  border-radius: 10rem;
  font-size: 1.125rem !important;
  line-height: 1.167;
  padding: 1.25rem;
  font-weight: 600;
  letter-spacing: 0.5px;
}

.login-wrapper .btn-custom-color:hover,
.login-wrapper .btn-custom-color:focus {
  outline: 0;
  box-shadow: none;
}

.login-wrapper .form-link {
  color: #880100;
  font-size: 1.125rem;
  line-height: 1.167;
  font-weight: 700;
}

.login-wrapper .invalid-feedback,
.login-wrapper .invalid-feedback strong,
.login-wrapper p.text-center {
  font-weight: 600;
}

.login-wrapper .login-form {
  width: 100%;
  padding: 0 1.5rem;
}

.login-wrapper .login-form * {
  font-weight: 700;
}

.login-wrapper .login-form .h4 {
  margin-bottom: 3rem;
}

.login-wrapper .login-form form {
  max-width: 27rem;
  margin: 0 auto;
}

.login-wrapper .login-form form label {
  color: #6b6b6b;
  font-size: 1.125rem;
  line-height: 1.167;
}

.login-wrapper .login-form form > .form-group {
  position: relative;
  margin-bottom: 2rem;
}

.login-wrapper .login-form form > .form-group label {
  display: inline-block;
  position: absolute;
  left: 2rem;
  top: -0.6rem;
  background: #ffffff;
  padding: 0 0.35rem;
  width: auto;
}

.login-wrapper .login-form form > .form-group input {
  border: 2px solid #d1d1d1 !important;
  height: 4.375rem;
  transition: all 0.25s ease;
  font-weight: 500;
  font-size: 1.125rem !important;
  border-radius: 2px !important;
  padding: 1.125rem 1rem;
}

.login-wrapper .login-form form > .form-group input:focus {
  border-color: #6b6b6b !important;
}

.login-wrapper .login-form form .d-flex {
  justify-content: space-between;
  margin-top: 2.25rem;
}

.login-wrapper .login-form form .d-flex .form-link {
  margin-left: 1rem;
}

.login-wrapper .login-form form .d-flex .checkbox-wrap {
  position: relative;
  margin-bottom: 0;
  display: flex;
}

.login-wrapper .login-form form .d-flex .checkbox-wrap label {
  margin-bottom: 0;
  cursor: pointer;
}

.login-wrapper .login-form form .d-flex .checkbox-wrap label:before {
  display: inline-block;
  content: "";
  height: 26px;
  width: 26px;
  border: 1.5px solid #979797;
  border-radius: 2px;
  pointer-events: none;
  margin-right: 0.75rem;
  vertical-align: middle;
}

.login-wrapper .login-form form .d-flex .checkbox-wrap label:after {
  display: block;
  position: absolute;
  content: "";
  height: 12px;
  width: 6px;
  border-width: 0 2px 2px 0;
  border-style: solid;
  border-color: transparent;
  top: 6px;
  left: 10px;
  transform: rotate(45deg);
}

.login-wrapper .login-form form .d-flex .checkbox-wrap input[type=checkbox] {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  opacity: 0;
  width: auto;
}

.login-wrapper .login-form form .d-flex .checkbox-wrap input[type=checkbox]:checked + label:after {
  border-color: #880100;
}

.register-wrap {
  display: flex;
  justify-content: space-around;
  margin-top: 4.5rem;
}

.register-wrap a.register-block {
  display: block;
  margin: 0 15px;
  height: 100%;
  border: 2px solid #d1d1d1;
  transition: all 0.25s ease;
}

.register-wrap a.register-block .d-flex {
  flex-wrap: wrap;
  text-align: center;
  padding: 1.5rem 1.75rem;
  width: 11rem;
  justify-content: center;
  background: #ffffff;
}

.register-wrap a.register-block .d-flex img {
  max-height: 2.375rem;
  width: auto;
}

.register-wrap a.register-block .d-flex h5 {
  color: #6b6b6b;
  font-weight: 600;
  font-size: 1.125rem;
  line-height: 1.167;
  width: 100%;
  margin: 0.75rem 0 0;
}

.register-wrap a.register-block:hover,
.register-wrap a.register-block:focus {
  text-decoration: none;
  box-shadow: 0 4px 10px 1px rgba(0, 0, 0, 0.18);
}

@media (min-width: 768px) {
  .sidebar .nav-item .nav-link {
    width: 100% !important;
  }

  #content-wrapper {
    margin-left: 14rem;
  }

  .sidebar-toggled #content-wrapper {
    margin-left: 7rem;
  }

  .sidebar-toggled .sidebar .nav-item .nav-link i,
  .sidebar-toggled .sidebar .nav-item .nav-link span {
    font-size: 13px !important;
  }

  .sidebar.toggled {
    width: 7rem !important;
  }
}

@media (max-width: 1599px) {
  .logo-wrapper .logo img {
    max-width: 18rem;
    height: auto;
  }

  .login-wrapper {
    padding: 1.75rem 0;
  }

  .login-wrapper .login-form .h4 {
    margin-bottom: 2.25rem;
  }

  .login-wrapper .login-form form .d-flex {
    margin-top: 1.75rem;
  }

  .login-wrapper .login-form form > .form-group {
    margin-bottom: 1.75rem;
  }

  .login-wrapper .login-form form > .form-group input {
    height: 3.875rem;
    font-size: 16px !important;
    padding: 1rem;
  }

  .register-wrap {
    margin-top: 3.25rem;
  }

  .register-wrap a.register-block .d-flex {
    padding: 1.25rem;
    width: 10rem;
  }

  .register-wrap + .mt-5 {
    margin-top: 2rem !important;
  }
}

@media (max-width: 1199px) {
  .logo-wrapper .logo img {
    max-width: 11rem;
  }

  .login-wrapper {
    padding: 1.75rem 0;
  }

  .login-wrapper .alert {
    max-width: 24rem;
  }

  .login-wrapper .btn-custom-color {
    padding: 1rem;
  }

  .login-wrapper .login-form {
    padding: 0;
  }

  .login-wrapper .login-form .h4 {
    margin-bottom: 2rem;
  }

  .login-wrapper .login-form form {
    max-width: 24rem;
  }

  .login-wrapper .login-form form .d-flex .checkbox-wrap label:before {
    height: 24px;
    width: 24px;
  }

  .login-wrapper .login-form form .d-flex .checkbox-wrap label:after {
    top: 5px;
    left: 9px;
  }

  .login-wrapper .login-form form > .form-group {
    margin-bottom: 1.5rem;
  }

  .login-wrapper .login-form form > .form-group input {
    height: 3.5rem;
    font-size: 16px !important;
    padding: 0.75rem 1rem;
  }

  .register-wrap {
    margin-top: 3rem;
  }

  .register-wrap a.register-block {
    margin: 0 10px;
  }

  .register-wrap a.register-block .d-flex {
    padding: 0.75rem 0.5rem;
    width: 7.5rem;
  }

  .register-wrap a.register-block .d-flex h5 {
    font-size: 1rem;
  }

  .register-wrap + .mt-5 {
    margin-top: 2rem !important;
  }

  .table .btn-box {
    flex: 0 0 100%;
    max-width: 100%;
    margin-bottom: 5px;
  }

  .table .btn {
    font-size: 13px !important;
  }
}

@media (max-width: 991px) {
  .logo-wrapper:after {
    content: none;
  }

  .logo-wrapper .logo {
    margin-left: 0;
  }

  .login-wrapper {
    padding: 1.75rem 0;
  }

  .login-wrapper .alert {
    max-width: 23rem;
  }

  .login-wrapper .btn-custom-color {
    padding: 1rem;
  }

  .login-wrapper .login-form form {
    max-width: 23rem;
  }

  .login-wrapper .login-form form label {
    font-size: 1rem;
  }

  .login-wrapper .login-form form .d-flex {
    align-items: center;
  }

  .login-wrapper .login-form form .d-flex .form-link {
    font-size: 1rem;
  }

  .login-wrapper .login-form form .d-flex .checkbox-wrap label:before {
    width: 20px;
    height: 20px;
    margin-right: 0.5rem;
    vertical-align: top;
    margin-top: -1px;
  }

  .login-wrapper .login-form form .d-flex .checkbox-wrap label:after {
    height: 10px;
    width: 5px;
    top: 3px;
    left: 7.5px;
  }

  .register-wrap {
    margin-top: 2.5rem;
  }

  .register-wrap a.register-block {
    margin: 0 8px;
  }

  .register-wrap + .mt-5 {
    margin-top: 1.25rem !important;
  }
}

@media (max-width: 767px) {
  .login-page-wrap .row.no-gutters {
    min-height: 100vh;
    align-items: center;
    align-content: center;
  }

  .logo-wrapper {
    background-image: none !important;
    min-height: initial;
    padding-top: 2rem;
  }

  .logo-wrapper:before {
    content: none;
  }

  .login-wrapper .h4 {
    font-size: 1.625rem;
  }

  .login-wrapper .login-form .h4 {
    margin-bottom: 1.5rem;
  }

  .register-wrap a.register-block .d-flex img {
    max-height: 2.375rem;
    width: 3rem;
    -o-object-fit: contain;
       object-fit: contain;
  }

  .sidebar:not(.toggled) {
    width: 7rem !important;
  }

  .sidebar .nav-link i,
  .sidebar .nav-link span {
    font-size: 12px !important;
    font-weight: 700 !important;
  }

  .sidebar .nav-item .collapse {
    position: static !important;
  }

  .sidebar .nav-item .collapse-inner {
    min-width: initial !important;
    border-radius: 0 !important;
  }

  .sidebar .nav-item .collapse-inner a {
    font-size: 12px;
    white-space: normal !important;
    padding: 3px !important;
    line-height: 1.3;
  }

  .dataTables_wrapper .col-sm-12 {
    padding: 0 !important;
    margin: 0 0 10px;
  }

  .dataTables_wrapper .dataTables_length,
  .dataTables_wrapper .dataTables_filter {
    text-align: left !important;
  }

  body:not(.sidebar-toggled) #sidebarToggleTop i:before {
    content: "\F00D";
  }

  .card-body {
    padding: 1.25rem 15px !important;
  }

  .form-group label {
    width: 100%;
  }

  .select2-container {
    width: 100% !important;
  }
}

@media (max-width: 575px) {
  .logo-wrapper .logo img {
    max-width: 9.5rem;
  }

  .login-wrapper .login-form {
    padding: 0 20px;
  }

  .login-wrapper .login-form form > .form-group label {
    left: 1rem;
    top: -0.5rem;
    padding: 0 0.25rem;
  }

  .login-wrapper .login-form form > .form-group input {
    height: 3rem;
    padding: 0.675rem 1rem;
  }

  .login-wrapper .login-form form .d-flex {
    align-items: center;
  }

  .login-wrapper .login-form form .d-flex .checkbox-wrap label:before {
    width: 19px;
    height: 19px;
    margin-top: 0;
  }

  .login-wrapper .login-form form .d-flex .checkbox-wrap label:after {
    top: 4px;
    left: 7px;
  }

  .register-wrap {
    flex-wrap: wrap;
    margin-top: 2rem;
  }

  .register-wrap a.register-block {
    width: 100%;
    margin: 0 20px 1.5rem;
    height: auto;
  }

  .register-wrap a.register-block .d-flex {
    padding: 0.5rem 1rem;
    width: 100%;
    justify-content: flex-start;
    align-items: center;
  }

  .register-wrap a.register-block .d-flex h5 {
    width: auto;
    margin-left: 1rem;
    margin-top: 0;
  }

  .register-wrap a.register-block .d-flex h5 br {
    display: none;
  }

  .register-wrap a.register-block:last-of-type {
    margin-bottom: 0;
  }

  .register-wrap + .mt-5 {
    padding: 0 20px;
  }

  .card-header.sp-header {
    padding: 0.75rem;
  }
}

@media (max-width: 350px) {
  .login-wrapper .login-form form .d-flex {
    margin-top: 1rem;
    flex-wrap: wrap;
  }

  .login-wrapper .login-form form .d-flex .form-link {
    width: 100%;
    margin-top: 1rem;
    margin-left: 0;
  }
}

